CREATE TABLE irc_interact_recipients (
    INTERACTION_RECIPIENT_ID    NUMBER(18, 0),
    INTERACTION_ID              NUMBER(18, 0)    NOT NULL,
    PERSON_ID                   NUMBER(18, 0),
    AGENT_ID                    NUMBER(18, 0),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    INTERACTION_RECIPIENT_ID    NUMBER(18, 0),
    INTERACTION_ID              NUMBER(18, 0)    NOT NULL,
    PERSON_ID                   NUMBER(18, 0),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    AGENT_ID                    NUMBER(18, 0),
    CONSTRAINT pk_irc_interact_recipients PRIMARY KEY (INTERACTION_RECIPIENT_ID, INTERACTION_RECIPIENT_ID)
);
